5

I have installed GRASS GIS following this install manual.

I have installed SAGA GIS following this install manual.

and finally I have installed QGIS 2.18.1 following the official details for install in Ubuntu Debian/Ubuntu.

The problem is I can't use algorithms from GRASS, SAGA and TAUDEM in the QGIS interface.

I have toolbox processing plugin and I have configure the options providers for all software (SAGA, GRASS) and not working.

Only GDAL tools are working in the plugins and QGIS algorithms. Standalone out of QGIS, SAGA and GRASS GIS work fine.

How to configure QGIS to work like work in Windows?

System details QGIS 2.18.1 Ubuntu 16.04.

GRASS ERRORS:

algorithm cannot be run

SAGA GIS ERROR SAGA GIS ERROR

SAGA GIS ERROR SAGA GIS ERROR

SAGA GIS ERROR

TOOLBOX OPTIONS SETTINGS:

GENERAL

PROVIDERS

Finally I think so this is solution for my another question Why can't I use processing algorithms in a standalone PyQGIS script?

6

You have not to configure anything like you do in windows. After you have installed Qgis:

  • for GRASS you have to install the software in this way (link to official page):
    sudo add-apt-repository ppa:ubuntugis/ubuntugis-stable sudo apt-get update sudo apt-get install grass
    and then use this simple workaround (see here):
    sudo ln -s /usr/bin/grass72 /usr/bin/grass70
  • for SAGA you have to compile the 2.2.3 version because that is supported at the moment, so uninstall all previous version and download it from here and then:
    ./configure make sudo make install
    and it will work.
    Remeber to activate GRASS7 and SAGA from Processing option settings.
  • Don't forget to click the green-faded tick on the left-hand side of this answer to show this solution solved your problem :) – Joseph Mar 15 '17 at 11:34
  • On Ubuntu (16.10) you also have to install libwxgtk3.0-dev before running the ./configure for SAGA. – Iamlukesky May 15 '17 at 18:26
1

I was facing the issue of non-configuring of SAGA in QGIS 2.18 and all components of the SAGA were enabled. So, I did install SAGA 2.3.1 from binaries and it worked in QGIS.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.